{% extends 'theme::layouts/default' %}

{% block metadata %}
    {{ asset_add("styles.css", "newebtime.module.portfolio::scss/style.scss") }}
    {{ parent() }}
{% endblock %}

{% block content %}
    <section>
        <div class="{{ setting_value('newebtime.module.portfolio::layout_fluid') == 'yes' ? 'container-fluid' : 'container' }}">
            <!-- start filter navigation -->
            <ul class="list-inline">
                <li class="list-inline-item"><a href="{{ route('newebtime.module.portfolio::customers.index') }}" data-filter="*" {{ slug == null ? 'class="text-muted"' : '' }}>All</a></li>
                {% for customer in customers %}
                    <li class="list-inline-item">
                        <a href="{{ route('newebtime.module.portfolio::customers.index', {'customerSlug': customer.slug}) }}" data-filter="*" {{ slug == customer.slug ? 'class="text-muted"' : '' }}>{{ customer.title }}</a>
                    </li>
                {% endfor %}
            </ul>
            <!-- end filter navigation -->
        </div>
        <div class="{{ setting_value('newebtime.module.portfolio::layout_fluid') == 'yes' ? 'container-fluid' : 'container' }}">
            <div class="row portfolio-grid">
                {% for project in projects %}
                    <div class="col-md-6 col-lg-{{ 12 / setting_value('newebtime.module.portfolio::columns', 4) }} grid-item">
                        <a href="{{ route('newebtime.module.portfolio::projects.show', {'projectSlug': project.slug}) }}">
                            <figure>
                                <div class="portfolio-img">{{ project.images.first.make.class('img-rounded').attr('alt', project.title).width('100%')|raw }}</div>
                                <figcaption>
                                    <div class="portfolio-hover-main">
                                        <div class="portfolio-hover-box">
                                            <div class="portfolio-hover-content">
                                                <div class="bg-deep blue"></div>
                                                <span class="project-title">{{ project.title }}</span>
                                                {% if (setting_value('newebtime.module.portfolio::show_project_intro') == 'show') %}
                                                    <p class="project-desc" id="demo">{{ project.description }}</p>
                                                {% endif %}
                                            </div>
                                        </div>
                                    </div>
                                </figcaption>
                            </figure>
                        </a>
                    </div>
                {% endfor %}
            </div>
        </div>
    </section>
{% endblock %}